petsc-3.4.2 2013-07-02

# PetscIntStackPop

This function pops an integer from the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIntStackPop(PetscIntStack stack, int *item)

Not Collective

### Input Parameter

stack -The stack

### Output Parameter

item -The integer popped

### Keywords

log, stack, pop

### See Also

PetscIntStackCreate(), PetscIntStackDestroy(), PetscIntStackEmpty(), PetscIntStackPush(), PetscIntStackTop()

Level:developer
Location:src/sys/logging/utils/stack.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages